package de.avatic.lcc.dto.generic;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.model.db.packaging.PackagingType;
import de.avatic.lcc.model.db.utils.DimensionUnit;
import de.avatic.lcc.model.db.utils.WeightUnit;

public class DimensionDTO {

    private Integer id;

    private PackagingType type;

    private Double length;

    private Double width;

    private Double height;

    @JsonProperty("dimension_unit")
    private DimensionUnit dimensionUnit;

    private Double weight;

    @JsonProperty("weight_unit")
    private WeightUnit weightUnit;

    @JsonProperty("content_unit_count")
    private Integer contentUnitCount;

    @JsonProperty("is_deprecated")
    private Boolean isDeprecated;

    public PackagingType getType() {
        return type;
    }

    public void setType(PackagingType type) {
        this.type = type;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Double getLength() {
        return length;
    }

    public void setLength(Double length) {
        this.length = length;
    }

    public Double getWidth() {
        return width;
    }

    public void setWidth(Double width) {
        this.width = width;
    }

    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }

    public DimensionUnit getDimensionUnit() {
        return dimensionUnit;
    }

    public void setDimensionUnit(DimensionUnit dimensionUnit) {
        this.dimensionUnit = dimensionUnit;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public WeightUnit getWeightUnit() {
        return weightUnit;
    }

    public void setWeightUnit(WeightUnit weightUnit) {
        this.weightUnit = weightUnit;
    }

    public Integer getContentUnitCount() {
        return contentUnitCount;
    }

    public void setContentUnitCount(Integer contentUnitCount) {
        this.contentUnitCount = contentUnitCount;
    }

    @JsonProperty("is_deprecated")
    public Boolean getDeprecated() {
        return isDeprecated;
    }

    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }
}
